#!/bin/bash
#SBATCH --job-name=mhr_lemmatizer_brnn
#SBATCH --account=project_2002413
#SBATCH --time=70:00:00
#SBATCH --mem-per-cpu=3G
#SBATCH --partition=small
#SBATCH -c 6
#SBATCH --mail-type=END
#SBATCH --mail-user=mika.hamalainen@helsinki.fi

cd /scratch/project_2002413/fst/nmt
cd mhr/lemmatizer
mkdir data
mkdir brnn
python3 -m onmt.bin.preprocess -train_src train_source.txt -train_tgt train_target.txt -valid_src val_source.txt -valid_tgt val_target.txt -save_data data/vocabulary
python3 -m onmt.bin.train -data data/vocabulary -save_model brnn/nmt-model -encoder_type brnn -seed 3435

lastmodel=$( ls -t brnn/*.pt | head -1 )

python3 -m onmt.bin.translate -model $lastmodel -src test_source.txt -output pred.txt -replace_unk
